Firebird News

Wednesday, February 18, 2015

CodeIgniter 3 (php framework) includes support for Firebird

The Userguide of Codeigniter 3 (still Release Candidate) mentions that now has support for Firebird:
Added Interbase / Firebird database support via the ibase driver.
This means that the installation package CI 3 includes it, although you could previously use Firebird in CodeiIgniter 2 by the driver developed by Carlos GarcĂ­a ( ) .

 We are very happy that CodeIgniter 3 integrates support for Firebird,  In fact CodeIgniter is a stable platform where I (albringas)'ve done developments and with very good results.

To see the rest of the new features of CodeIgniter 3 these are the addresses:

I also put the direction of an article I wrote about using Firebird with CodeIgniter 2, in my blog: 

Monday, February 16, 2015

Building Firebird 3.0 Client / Embedded for Android

Download and install ndk  unzip in your home
install firebird build dependencies
sudo apt-get build-dep firebird2.5
sudo apt-get install libtommath-dev

export NDK=$HOME/android-ndk-r10e
echo $NDK

get the Firebird 3.0 source code

git clone
cd core 
./  --with-cross-build=android.arm --without-editline --enable-binreloc
There was a libedit.a linking error so i had to copy it manually
cp extern/editline/src/libedit.a gen/Release/firebird/lib/libedit.a
after that the is created for arm

file  gen/buildroot/opt/firebird/lib/ 
gen/buildroot/opt/firebird/lib/ ELF 64-bit LSB  shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=b6cb7db07fcad2475aa79352fb515cbe3ac44eea, stripped

Soon i will add a download link

ps: in 3.0 can be used as embedded